From 2dcd457bcecc15eecaa021d3745b0603f5ba364a Mon Sep 17 00:00:00 2001
From: Javier Llorente <javier@opensuse.org>
Date: Sat, 19 Sep 2015 20:48:27 +0200
Subject: [PATCH] Add Castilian Spanish translation

Change-Id: I6cef758f1b9746b4eb03670765677bb8f5b275c5
Reviewed-by: Oswald Buddenhagen <oswald.buddenhagen@theqtcompany.com>
Reviewed-by: Niels Weber <niels.weber@theqtcompany.com>
---
 src/sdk/installerbase.qrc  |    2 +
 src/sdk/sdk.pro            |    4 +-
 src/sdk/translations/es.ts | 2688 ++++++++++++++++++++++++++++++++++++++++++++
 src/src.pro                |    1 +
 4 files changed, 2693 insertions(+), 2 deletions(-)
 create mode 100644 src/sdk/translations/es.ts

diff --git a/src/sdk/installerbase.qrc b/src/sdk/installerbase.qrc
index 3358e87..0743c75 100644
--- a/src/sdk/installerbase.qrc
+++ b/src/sdk/installerbase.qrc
@@ -2,6 +2,7 @@
     <qresource prefix="/">
         <file>translations/de.qm</file>
         <file>translations/en.qm</file>
+        <file>translations/es.qm</file>
         <file>translations/fr.qm</file>
         <file>translations/it.qm</file>
         <file>translations/ja.qm</file>
@@ -15,5 +16,6 @@
         <file alias="translations/qt_ru.qm">translations/qtbase_ru.qm</file>
         <file>translations/qt_zh_CN.qm</file>
         <file alias="translations/qt_it.qm">translations/qtbase_it.qm</file>
+        <file alias="translations/qt_es.qm">translations/qtbase_es.qm</file>
     </qresource>
 </RCC>
diff --git a/src/sdk/sdk.pro b/src/sdk/sdk.pro
index 8e78b12..4726921 100644
--- a/src/sdk/sdk.pro
+++ b/src/sdk/sdk.pro
@@ -22,8 +22,8 @@ CONFIG(static, static|shared) {
 DESTDIR = $$IFW_APP_PATH
 
 exists($$LRELEASE) {
-    QT_LANGUAGES = qtbase_de qt_fr qtbase_ja qt_pl qtbase_ru qt_zh_CN qtbase_it
-    IB_LANGUAGES = de en fr ja pl ru zh_cn it
+    QT_LANGUAGES = qtbase_de qtbase_es qt_fr qtbase_it qtbase_ja qt_pl qtbase_ru qt_zh_CN
+    IB_LANGUAGES = de en es fr it ja pl ru zh_cn
     defineReplace(prependAll) {
         for(a,$$1):result += $$2$${a}$$3
         return($$result)
diff --git a/src/src.pro b/src/src.pro
index 20c6e8d..98d9fac 100644
--- a/src/src.pro
+++ b/src/src.pro
@@ -4,6 +4,7 @@ sdk.depends = libs
 
 TRANSLATIONS += sdk/translations/de.ts \
     sdk/translations/en.ts \
+    sdk/translations/es.ts \
     sdk/translations/fr.ts \
     sdk/translations/ja.ts \
     sdk/translations/pl.ts \
-- 
1.9.4.msysgit.0

